Usermin error: Perl module Authen::PAM

  • DaveOverton
  • 06/20/07
  • Offline
Posted: Sun, 2011-08-28 13:39

Wanted to share this in case anyone else is bothered by these errors, I use Scientific Linux 6.1, and my usermin log gets these:

[28/Aug/2011:11:25:28 -0700] Perl module Authen::PAM needed for PAM is not installed : Can't locate Authen/PAM.pm in @INC (@INC contains: /usr/libexec/webmin /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at (eval 15) line 1.
BEGIN failed--compilation aborted at (eval 15) line 1.

So, hating "failed" I went to fix it. The automatic install failed in the perl modules - suggested modules.

The fix. Silly red hat people, they took out the "pam" header files.

yum install pam-devel

then install under "webmin - perl modules - suggested"

All good now :)